// Importing required modules
import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//Student marks dadaset
const csvUrl = [
  'https://gist.githubusercontent.com/Snarasimhap/febcece0b92859ca5531baaf0e648cdd/raw/e2f90504a627cefe8bd4c29aec1735237945d826/gistfile1.txt', // File name
].join('');
const parseRow = (d) => {
  d.Science = +d.Science;
  d.English = +d.English;
  d.History = +d.History;
  d.Maths = +d.Maths;
  d.Age = +d.Age;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);



const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.Maths)
    .yValue((d) => d.Science)
  	.symbolValue((d) => d.Age)
  
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5)
  	;

  svg.call(plot);
// Setting the dynamic  xaxis
  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 15000);
};
main();



